<?php

if (!defined('FORUM_ROOT'))
	die();

if ($section == 'blacklist')
{
	if (!isset($lang_blacklist)) {
	    if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php'))
	        require $ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php';
        else
	        require $ext_info['path'].'/lang/English/'.$ext_info['id'].'.php';
    }

	$max_items = 10; //	$forum_user['disp_posts'];

	if (!empty($user['black_list'])) {
        $black_list = unserialize($user['black_list']);
		$num_users = count($black_list);
    } else {
		$num_users = 0;
	}

	if ($num_users > 0)
    {
	    //Page Navigation
	    $forum_page['num_pages'] = ceil($num_users / $max_items);
	    $forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
	    $forum_page['start_from'] = $max_items * ($forum_page['page'] - 1);
	    $forum_page['finish_at'] = min(($forum_page['start_from'] + $max_items), ($num_users));
	    $forum_page['items_info'] = generate_items_info($lang_blacklist['Black list'], ($forum_page['start_from'] + 1), $num_users);
	    if ($forum_page['num_pages'] > 1)
		    $forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_blacklist['Pages'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], str_replace($base_url,"",forum_link($forum_url['black_list'], $id)), ' ').'</p>';
    } else {
		$forum_page['start_from'] = 0;
	}

	if (isset($_POST['delete_user']))
    {
	    if ($id != $forum_user['id'])
			message($lang_common['Bad request']);
		
		$user_id = isset($_POST['user_id']) ? intval($_POST['user_id']) : 0;

	    if ($user_id < 1)
		    message($lang_common['Bad request']);
	
	    $key = array_search($user_id, $black_list);
	    if ($key !== false)
	    {
		    unset($black_list[$key]);
	    }
	
	    if (count($black_list) > 0) {
		    $new_black_list = serialize($black_list);
	    } else {
		    $new_black_list = $black_list;
	    }
	
	    $query = array(
		    'UPDATE'		=> 'users',
		    'SET'           => 'black_list =\''.$forum_db->escape($new_black_list).'\'',
	        'WHERE'			=> 'id = '.$id
	    );
	    $forum_db->query_build($query) or error(__FILE__, __LINE__);

	    $forum_flash->add_info($lang_blacklist['User deleted from blacklist']);
	    redirect(forum_link($forum_url['black_list'], $id), $lang_blacklist['User deleted from blacklist']);
    }
	
	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array(sprintf($lang_profile['Users profile'], $user['username']), forum_link($forum_url['user'], $id)),
		$lang_blacklist['Black list']
	);
	
	define('FORUM_PAGE', 'profile-blacklist');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

if ($num_users > 0) { 
 
	$query = array(
		'SELECT'	=> 'u.id, u.username, u.title, u.num_posts, u.last_post, u.avatar, u.avatar_width, u.avatar_height, g.g_id, g.g_user_title',
		'FROM'		=> 'users AS u',
		'JOINS'		=> array(
			array(
				'INNER JOIN' => 'groups AS g',
				'ON'		 => 'g.g_id=u.group_id'
			)
		),
		'WHERE'		=> 'u.id IN ('.implode(',', $black_list).')',
		'ORDER BY'	=> 'u.username ASC',
		'LIMIT'		=> $forum_page['start_from'].', '.$max_items
	);
	
	($hook = get_hook('black_list_profile_qr_get_users')) ? eval($hook) : null;

	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);	
?>		
    <div class="main-content main-frm">
		<div class="main-subhead m-subhead">
			<h2 class="hn"><span><?php echo sprintf($lang_blacklist['Blacklist of users'], $num_users) ?></span></h2>
		</div>
<?php

		($hook = get_hook('black_list_profile_pre_header')) ? eval($hook) : null;
		
		$forum_page['table_header'] = array();
	    $forum_page['table_header']['avatar'] = '<th class="tc'.count($forum_page['table_header']).'" scope="col" style="width:20px;"></th>';
	    $forum_page['table_header']['username'] = '<th class="tc'.count($forum_page['table_header']).'" scope="col">'.$lang_blacklist['Name'].'</th>';
		$forum_page['table_header']['group'] = '<th class="tc'.count($forum_page['table_header']).' tf_c" scope="col">'.$lang_blacklist['Group'].'</th>';
		$forum_page['table_header']['posts'] = '<th class="tc'.count($forum_page['table_header']).' tf_c" scope="col">'.$lang_blacklist['Posts'].'</th>';
	    
		($hook = get_hook('black_list_profile_pre_header_output')) ? eval($hook) : null;
		
		$forum_page['table_header']['last_post'] = '<th class="tc'.count($forum_page['table_header']).' tf_c" scope="col">'.$lang_blacklist['Last post'].'</th>';
		
		if ($id == $forum_user['id'])
		    $forum_page['table_header']['remove'] = '<th class="tc'.count($forum_page['table_header']).'" scope="col" style="width:50px;">'.$lang_blacklist['Remove'].'</th>';
?>
		<div class="ct-group">
			<table id="bl_users_list">
				<thead>
					<tr>
						<?php echo implode("\n\t\t\t\t\t\t", $forum_page['table_header'])."\n" ?>
					</tr>
				</thead>
				<tbody>
<?php
	            $i = isset($_GET['p']) ? $max_items * ($forum_page['page']-1)+1 : '1';
	            while ($bl_user = $forum_db->fetch_assoc($result)) {

		            $no_avatar = '<img src="'.$base_url.'/extensions/black_list/css/no_avatar.jpg" alt="No avatar">';
		            if ($forum_config['o_avatars'] == '1' && $forum_user['show_avatars'] != '0') {
			            $u_avatar = generate_avatar_markup($bl_user['id'], $bl_user['avatar'], '42px', '42px', $bl_user['username']);
			            if (!empty($u_avatar)) { $user_avatar = $u_avatar; } else { $user_avatar = $no_avatar; }
		            } else {
		                $user_avatar = $no_avatar;
	                }

					($hook = get_hook('black_list_profile_row_pre_data')) ? eval($hook) : null;

		            $forum_page['table_row'] = array();
		            $forum_page['table_row']['avatar'] = '<td class="tc'.count($forum_page['table_row']).' blacklist_avatar"><a href="'.forum_link($forum_url['user'], $bl_user['id']).'">'.$user_avatar.'</a></td>';
					$forum_page['table_row']['username'] = '<td class="tc'.count($forum_page['table_row']).'"><a href="'.forum_link($forum_url['user'], $bl_user['id']).'"><strong>'.forum_htmlencode($bl_user['username']).'</strong></a></td>';
		            $forum_page['table_row']['group'] = '<td class="tc'.count($forum_page['table_row']).' tf_c">'.get_title($bl_user).'</td>';
			        $forum_page['table_row']['posts'] = '<td class="tc'.count($forum_page['table_row']).' tf_c">'.forum_number_format($bl_user['num_posts']).'</td>';
					
					($hook = get_hook('black_list_profile_row_pre_data_output')) ? eval($hook) : null;

		            $forum_page['table_row']['last_post'] = '<td class="tc'.count($forum_page['table_row']).' tf_c">'.format_time($bl_user['last_post']).'</td>';

                    if ($id == $forum_user['id'])
					    $forum_page['table_row']['remove'] = '<td class="tc'.count($forum_page['table_row']).' tf_c"><input type="submit" class="s_button" name="delete_user" value="X" title="'.$lang_blacklist['Delete from blacklist'].'" /></td>';						
?>
					<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['black_list'], $id) ?>">
						<div class="hidden">
							<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['black_list'], $id)) ?>" />
							<input type="hidden" name="user_id" value="<?php echo $bl_user['id']; ?>" />
						</div>
						<tr>
					        <?php echo implode("\n\t\t\t\t\t\t", $forum_page['table_row'])."\n" ?>
				        </tr>
					</form>
<?php
		        $i++;
	            }
?>
                </tbody>
			</table>
		</div>
    </div>
<?php	        
} else {
?>
	<div class="main-content main-frm">
		<div class="main-subhead m-subhead">
			<h2 class="hn"><span><?php echo sprintf($lang_blacklist['Blacklist of users'], 0) ?></span></h2>
		</div>
		<div class="ct-box info-box"><span><?php echo $lang_blacklist['Blacklist is empty'] ?></span></div>
	</div>
<?php
}

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->

	require FORUM_ROOT.'footer.php';
}
