<?php 

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', './../../');

if (!defined('FORUM_ROOT'))	die();

require FORUM_ROOT.'include/common.php';

if (!isset($lang_blacklist)) {
	if (file_exists(FORUM_ROOT.'extensions/black_list/lang/'.$forum_user['language'].'/black_list.php'))
	    require FORUM_ROOT.'extensions/black_list/lang/'.$forum_user['language'].'/black_list.php';
    else
	    require FORUM_ROOT.'extensions/black_list/lang/English/black_list.php';
}

if (isset($_GET['action']))
	define('FORUM_QUIET_VISIT', 1);

$action = isset($_GET['action']) ? $_GET['action'] : null;

if ($action == 'add_user')
{
	$user_id = isset($_GET['user_id']) ? intval($_GET['user_id']) : 0;
	$post_id = isset($_GET['post_id']) ? intval($_GET['post_id']) : 0;

	if($forum_user['is_guest'] || $user_id < 1 || $post_id == 0)
		message($lang_common['Bad request']);

	$black_list = ($forum_user['black_list'] != '') ? unserialize($forum_user['black_list']) : array();
	$black_list[] = $user_id;
	$black_list = array_unique($black_list);

    $query = array(
		'UPDATE'		=> 'users',
		'SET'           => 'black_list =\''.$forum_db->escape(serialize($black_list)).'\'',
	    'WHERE'			=> 'id = '.$forum_user['id']
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);

	$message = $lang_blacklist['User added to blacklist'];
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['post'], $post_id), $message);
}
	
else if ($action == 'delete_user')
{
	$user_id = isset($_GET['user_id']) ? intval($_GET['user_id']) : 0;
	$post_id = isset($_GET['post_id']) ? intval($_GET['post_id']) : 0;

	if($forum_user['is_guest'] || $user_id < 1 || $post_id == 0)
		message($lang_common['Bad request']);
	
	$black_list = ($forum_user['black_list'] != '') ? unserialize($forum_user['black_list']) : array();
	
	$key = array_search($user_id, $black_list);
	if ($key !== false)
	{
		unset($black_list[$key]);
	}
	
	if (count($black_list) > 0) {
		$new_black_list = serialize($black_list);
	} else {
		$new_black_list = $black_list;
	}
	
	$query = array(
		'UPDATE'		=> 'users',
		'SET'           => 'black_list =\''.$forum_db->escape($new_black_list).'\'',
	    'WHERE'			=> 'id = '.$forum_user['id']
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
		
	$message = $lang_blacklist['User deleted from blacklist'];
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['post'], $post_id), $message);
}
